## ros-melodic-minas-control 1.0.10

=== debian/changelog ===
ros-melodic-minas-control (1.0.10-1bionic) bionic; urgency=high

  * Add dependency on realtime_tools(#72 <https://github.com/tork-a/minas/issues/72>)
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 27 Apr 2018 15:00:00 -0000

ros-melodic-minas-control (1.0.9-1bionic) bionic; urgency=high

  * enable to publish actual position/velocity/torque value as /diagnostics (#67 <https://github.com/tork-a/minas/issues/67>)
  * fix simple test without arguments (#68 <https://github.com/tork-a/minas/issues/68>)
  * onsite fix for encoder offset(#66 <https://github.com/tork-a/minas/issues/66>)
  * set default ifname to eth0
  * add try/catch in main function of test_simple.cpp, show help() when it failes to run EtherCatManager
  * display input.position_actual_value in EtherCATJointControlInterface::EtherCATJointControlInterface
  * fix wrong variable print
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 01 Mar 2018 15:00:00 -0000

ros-melodic-minas-control (1.0.8-1bionic) bionic; urgency=high

  * Add parameter home_encoder_offset (#63 <https://github.com/tork-a/minas/issues/63>)
  * Reduce sleep time in each client (#51 <https://github.com/tork-a/minas/issues/51>)
  * Add dependency on tinyxml (#62 <https://github.com/tork-a/minas/issues/62>)
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 27 Nov 2017 15:00:00 -0000

ros-melodic-minas-control (1.0.6-1bionic) bionic; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 11 Sep 2017 15:00:00 -0000

ros-melodic-minas-control (1.0.5-1bionic) bionic; urgency=high

  * add .travis.yml using ros_build_farm (#58 <https://github.com/tork-a/minas/issues/58>)
    * add rosdoc.yaml
    * package.xml, CMakeLists.txt: add depends to diagnostic_updater
    * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Mon, 11 Sep 2017 15:00:00 -0000

ros-melodic-minas-control (1.0.4-1bionic) bionic; urgency=high

  * set license as GPLv2/CC-BY-SA,add LICENSE for meshes (#55 <https://github.com/tork-a/minas/issues/55>)
    * set license as GPLv2/CC-BY-SA,add LICENSE for meshes
    * cleanup code
    * fix wrong license data, add LICENSE information to xacro files
    * cleanup package.xml
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 10 Sep 2017 15:00:00 -0000

ros-melodic-minas-control (1.0.3-1bionic) bionic; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 03 Aug 2017 15:00:00 -0000

ros-melodic-minas-control (1.0.2-1bionic) bionic; urgency=high

  * add more ROS_INFO message while insitializeing
  * use current readInputs and wait 10msec
  * servoon/servooff : printPDSstatus once every seconds
  * call reset before servooff in shutdown
  * Improve servo ON time
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 11 May 2017 15:00:00 -0000

ros-melodic-minas-control (1.0.1-1bionic) bionic; urgency=high

  * fix comments on params
  * On site fix 5/11 by Tajima
  * add comment
  * fix if condition
  * Contributors: Ryosuke Tajima, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 11 May 2017 15:00:00 -0000

ros-melodic-minas-control (1.0.0-1bionic) bionic; urgency=high

  * add test codes (`#39 <https://github.com/tork-a/minas/pull/39`_)
    * minas_control/src/main.cpp: continue running evern if mlockall failed, when we run with simulaiton
    * add depends to diagnostic_updator
  * use rosparam to set control param (`#33 <https://github.com/tork-a/minas/pull/33`_)
    * update install process, 1.0.0
    * doc/index.rst : use two-backquote instaad of backquote to show code block
    * doc/index.rst : comment on how to run tra1_bringup.launch and set controller parameters
    * use getParamFromROS function, read and display parameters in simulation mode too
    * move custom controller parameters for tra1 to tra1_bringup/launch/tra1_bringup.lauch
    * minas_control.launch add eth arg to set ether device name
  * Contributors: Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 21 Apr 2017 15:00:00 -0000

ros-melodic-minas-control (0.5.2-1bionic) bionic; urgency=high

  * CMakeLists.txt: set INSTALL_RPARH_USE_LINK_PATH for preserving RPATH, fix #20 <https://github.com/tork-a/minas/issues/20>
  * CMakeLists.txt: do not remove debian/postinst on debbuild target
  * doc/index.rst: Fix some typos
  * doc/index.rst: add all deb files to install
  * Contributors: Tokyo Opensource Robotics Developer 7675, Tokyo Opensource Robotics Developer 534

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 31 Mar 2017 15:00:00 -0000

ros-melodic-minas-control (0.5.1-1bionic) bionic; urgency=high

  * add debian/postinst to set cap/ipc
  * CMakeLists.txt add to install launch directory
  * Add error text for MinasClient::readInputs()
    - This is for #10 <https://github.com/tork-a/minas/issues/10>
  * fix typo on dpkg-i ros-indigo-*.deb section
  * Contributors: Tokyo Opensource Robotics Developer 7675, Tokyo Opensource Robotics Developer 534


