=== debian/control ===
Source: ros-melodic-minas-control
Section: misc
Priority: optional
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-melodic-catkin, ros-melodic-controller-manager, ros-melodic-diagnostic-updater, ros-melodic-ethercat-manager, ros-melodic-hardware-interface, ros-melodic-joint-limits-interface, ros-melodic-realtime-tools, ros-melodic-roslaunch <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-soem, ros-melodic-trajectory-msgs, ros-melodic-transmission-interface
Homepage: http://ros.org/wiki/minas_control
Standards-Version: 3.9.2

Package: ros-melodic-minas-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-melodic-controller-manager, ros-melodic-diagnostic-updater, ros-melodic-ethercat-manager, ros-melodic-hardware-interface, ros-melodic-joint-limits-interface, ros-melodic-realtime-tools, ros-melodic-sensor-msgs, ros-melodic-trajectory-msgs, ros-melodic-transmission-interface
Description: This package contains ros_control based robot controller for PANASONIC MINAS EtherCAT Motor Driver Control System
